Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/flowd: fix broken prepare()

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 13 Apr 2017 17:52:33 +0300

cosmetic update in init-script
---
 testing/flowd/APKBUILD    | 6 ++++--
 testing/flowd/flowd.initd | 5 +++--
 2 files changed, 7 insertions(+), 4 deletions(-)
diff --git a/testing/flowd/APKBUILD b/testing/flowd/APKBUILD
index 410b709ff3..0f55eebea1 100644
--- a/testing/flowd/APKBUILD
+++ b/testing/flowd/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
 pkgname=flowd
 pkgver=0.9.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Small, fast and secure NetFlow collector"
 url="https://code.google.com/p/flowd"
 arch="all"
_at_@ -20,6 +20,8 @@ source="https://storage.googleapis.com/google-code-archive-downloads/v2/code.goo
 builddir="$srcdir/$pkgname-$pkgver"
 
 prepare() {
+	default_prepare || return 1
+
 	cd "$builddir"
 	update_config_sub
 }
_at_@ -93,4 +95,4 @@ tools() {
 sha512sums="c86d810de9a163206525c4ac12029d650209a370213d701d38b0e7ea746e087d2a0f80ab1657ccca87851cdf64628813666028e267529d6b7391b63542230967  flowd-0.9.1.tar.gz
 427a0b690519ddeb28da581ba7740faa6de9c6baf40ba285ad82f5652def3c950c8b080ca677de9748eea6cc1c2c5ab38559a139655e6cb176b021a5a9d5d912  fix_path.patch
 5264f4e913464c7cd6957ea4ef2a458551e3b52c66d1b709e90bfbe014327b72fbff52e282acbf6a2222972ca96f5908410f6ab51c3d8a161e9eef111634d8f2  fix_user.patch
-4aed4356a94f4e8a1d8c63d1418bca7e8cd3d43f5c04617432e404751c806970a4a1320d201df6db9a48bca673925a51d94d239e7196a676b47c40e2efb55598  flowd.initd"
+68cfe2ea07eb981c02660f5c05018308c164705f52c0c1d90bdacc45ec993dca971439c60b02f5ba3e521c8730e54d968a31af1eddfe6924d39d33c50843836b  flowd.initd"
diff --git a/testing/flowd/flowd.initd b/testing/flowd/flowd.initd
index fefaff9c2d..df124451e5 100644
--- a/testing/flowd/flowd.initd
+++ b/testing/flowd/flowd.initd
_at_@ -1,5 +1,6 @@
 #!/sbin/openrc-run
 
+name="Netflow collector"
 description="NetFlow –°ollector"
 command=/usr/sbin/flowd
 command_args="-g"
_at_@ -15,13 +16,13 @@ depend() {
 }
 
 reload() {
-	ebegin "Reloading $RC_SVCNAME"
+	ebegin "Reloading ${name:-$RC_SVCNAME}"
 	start-stop-daemon --signal HUP --pidfile $pidfile
 	eend $?
 }
 
 reopen() {
-	ebegin "Reopening $RC_SVCNAME log files"
+	ebegin "Reopening ${name:-$RC_SVCNAME} log files"
 	start-stop-daemon --signal USR1 --pidfile $pidfile
 	eend $?
 }
-- 
2.12.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Apr 13 2017 - 17:52:33 GMT